import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetDisplayPropsParams, GetPriceParams, GetUnderlyingTokensParams } from '../../../position/template/app-token.template.types';
import { IndexCoopContractFactory, IndexCoopToken } from '../contracts';
export declare class EthereumIndexCoopIndexTokenFetcher extends AppTokenTemplatePositionFetcher<IndexCoopToken> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: IndexCoopContractFactory;
    groupLabel: string;
    deprecatedProducts: string[];
    constructor(appToolkit: IAppToolkit, contractFactory: IndexCoopContractFactory);
    getContract(address: string): IndexCoopToken;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions({ contract }: GetUnderlyingTokensParams<IndexCoopToken>): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPrice({ contract, appToken }: GetPriceParams<IndexCoopToken>): Promise<number>;
    getPricePerShare(): Promise<number[]>;
    getLabel({ appToken }: GetDisplayPropsParams<IndexCoopToken>): Promise<string>;
}
